> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/infra-controller/_mcp/server.

# Retrieve All Derived IP Blocks

GET https://nico-rest-api.nico.svc.cluster.local/v2/org/{org}/nico/ipblock/{ipBlockId}/derived

Retrieve all child IP Blocks allocated to Tenants from a specific Provider super IP Block. When allocations are created from a super block, individual Tenant IP Blocks are created as a result.

The IP Block in URL must belong to the Infrastructure Provider associated with the Org.

User must have authorization role with `PROVIDER_ADMIN` suffix.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/ip-block/get-all-derived-ipblock

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NVIDIA Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/nico/ipblock/{ipBlockId}/derived:
    get:
      operationId: get-all-derived-ipblock
      summary: Retrieve All Derived IP Blocks
      description: >-
        Retrieve all child IP Blocks allocated to Tenants from a specific
        Provider super IP Block. When allocations are created from a super
        block, individual Tenant IP Blocks are created as a result.


        The IP Block in URL must belong to the Infrastructure Provider
        associated with the Org.


        User must have authorization role with `PROVIDER_ADMIN` suffix.
      tags:
        - subpackage_ipBlock
      parameters:
        - name: org
          in: path
          description: Name of the Org
          required: true
          schema:
            type: string
        - name: ipBlockId
          in: path
          description: ID of the IP Block
          required: true
          schema:
            type: string
        - name: status
          in: query
          description: Filter IP Blocks by Status
          required: false
          schema:
            type: string
        - name: query
          in: query
          description: >-
            Search for matches across all Sites. Input will be matched against
            name, description and status fields
          required: false
          schema:
            type: string
        - name: includeRelation
          in: query
          description: Related entity to expand
          required: false
          schema:
            $ref: >-
              #/components/schemas/V2OrgOrgNicoIpblockIpBlockIdDerivedGetParametersIncludeRelation
        - name: pageNumber
          in: query
          description: Page number for pagination query
          required: false
          schema:
            type: integer
            default: 1
        - name: pageSize
          in: query
          description: Page size for pagination query
          required: false
          schema:
            type: integer
        - name: orderBy
          in: query
          description: Ordering for pagination query
          required: false
          schema:
            $ref: >-
              #/components/schemas/V2OrgOrgNicoIpblockIpBlockIdDerivedGetParametersOrderBy
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IpBlock'
        '403':
          description: >-
            Error response when user is not authorized to call an endpoint or
            retrieve/modify objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
servers:
  - url: https://nico-rest-api.nico.svc.cluster.local
    description: Kubernetes Cluster
components:
  schemas:
    V2OrgOrgNicoIpblockIpBlockIdDerivedGetParametersIncludeRelation:
      type: string
      enum:
        - InfrastructureProvider
        - Tenant
        - Site
      title: V2OrgOrgNicoIpblockIpBlockIdDerivedGetParametersIncludeRelation
    V2OrgOrgNicoIpblockIpBlockIdDerivedGetParametersOrderBy:
      type: string
      enum:
        - NAME_ASC
        - NAME_DESC
        - PREFIX_ASC
        - PREFIX_DESC
        - STATUS_ASC
        - STATUS_DESC
        - CREATED_ASC
        - CREATED_DESC
        - UPDATED_ASC
        - UPDATED_DESC
      title: V2OrgOrgNicoIpblockIpBlockIdDerivedGetParametersOrderBy
    IpBlockRoutingType:
      type: string
      enum:
        - Public
        - DatacenterOnly
      title: IpBlockRoutingType
    IpBlockProtocolVersion:
      type: string
      enum:
        - IPv4
        - IPv6
      title: IpBlockProtocolVersion
    IpBlockUsageStats:
      type: object
      properties:
        availableIPs:
          type: integer
          format: int64
          description: Total number of IP addresses in the block (acquired and unused)
        acquiredIPs:
          type: integer
          format: int64
          description: Number of individual IP addresses acquired from the block
        availablePrefixes:
          type: array
          items:
            type: string
          description: |
            Example prefixes available to acquire
        availableSmallestPrefixes:
          type: integer
          format: int64
          description: >
            Total number of /30 prefixes that can still be acquired from this
            block (only reduced if prefixes are acquired, not reduced by
            acquired IPs)
        acquiredPrefixes:
          type: integer
          format: int64
          description: Total number of prefixes (of any size) acquired from this block
      description: Usage statistics for an IP Block, VPC Prefix or Subnet
      title: IpBlockUsageStats
    IpBlockStatus:
      type: string
      enum:
        - Pending
        - Provisioning
        - Ready
        - Deleting
        - Error
      description: Status values for IP Block objects
      title: IpBlockStatus
    StatusDetail:
      type: object
      properties:
        status:
          type: string
        message:
          type:
            - string
            - 'null'
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      description: Describes the details of a status transition for a resource
      title: StatusDetail
    Deprecation:
      type: object
      properties:
        attribute:
          type:
            - string
            - 'null'
          description: >-
            Name of the attribute that is deprecated. Omitted if queryParam or
            endpoint is being deprecated.
        queryParam:
          type:
            - string
            - 'null'
          description: >-
            Query parameter that is deprecated. Omitted if attribute or endpoint
            is being deprecated.
        endpoint:
          type:
            - string
            - 'null'
          description: >-
            API endpoint that is deprecated. Omitted if attribute or queryParam
            is being deprecated.
        replacedBy:
          type:
            - string
            - 'null'
          description: >-
            Name of the attribute, query parameter, or endpoint that replaces
            the deprecated item. Omitted if no replacement is available.
        takeActionBy:
          type: string
          format: date-time
          description: >-
            ISO datetime string for when the deprecated field will no longer be
            accepted or available in the API
        notice:
          type: string
          description: Message describing the deprecation
      description: >-
        Details of a particular deprecation in NVIDIA Infra Controller (NICo)
        API
      title: Deprecation
    IpBlock:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type:
            - string
            - 'null'
        siteId:
          type: string
          format: uuid
        infrastructureProviderId:
          type: string
          format: uuid
        tenantId:
          type:
            - string
            - 'null'
          format: uuid
        routingType:
          $ref: '#/components/schemas/IpBlockRoutingType'
        prefix:
          type: string
          description: Either IPv4 or IPv6 address
        prefixLength:
          type: integer
          description: 'Min: 1, Max: 32 for ipv4, 128 for ipv6'
        protocolVersion:
          $ref: '#/components/schemas/IpBlockProtocolVersion'
        usageStats:
          $ref: '#/components/schemas/IpBlockUsageStats'
        status:
          $ref: '#/components/schemas/IpBlockStatus'
        statusHistory:
          type: array
          items:
            $ref: '#/components/schemas/StatusDetail'
        deprecations:
          type: array
          items:
            $ref: '#/components/schemas/Deprecation'
        created:
          type: string
          format: date-time
        updated:
          type: string
          format: date-time
      description: >-
        IP block contains information about an IPv4 address pool owned by the
        Infrastructure Provider and assigned as an overlay network for a
        particular Site. It is equivalent to Network Resource in product
        terminology.
      title: IpBlock
    NiCoApiErrorSource:
      type: string
      enum:
        - nico
      description: Source of the error.
      title: NiCoApiErrorSource
    NiCoApiErrorData:
      type: object
      properties: {}
      description: Additional data about the error
      title: NiCoApiErrorData
    NICoAPIError:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/NiCoApiErrorSource'
          description: Source of the error.
        message:
          type: string
          description: Message describing the error
        data:
          oneOf:
            - $ref: '#/components/schemas/NiCoApiErrorData'
            - type: 'null'
          description: Additional data about the error
      description: Describes the error response from NVIDIA Infra Controller REST API
      title: NICoAPIError
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

        ```

```

## Examples



**Response**

```json
[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "Public Network Overlay for Site SJC4",
    "description": "This is the primary IP overlay for SJC4. All IPs are publicly routable",
    "siteId": "60189e9c-7d12-438c-b9ca-6998d9c364b1",
    "infrastructureProviderId": "e94bcfda-f6cb-42e4-80ec-516811e5abbf",
    "tenantId": "97c57510-b443-43b4-881c-974d4b86c87c",
    "routingType": "Public",
    "prefix": "202.168.1.0",
    "prefixLength": 24,
    "protocolVersion": "IPv4",
    "status": "Pending",
    "statusHistory": [
      {
        "status": "Pending",
        "message": "Request received, pending processing",
        "created": "2019-08-24T14:15:22Z",
        "updated": "2019-08-24T14:15:22Z"
      }
    ],
    "created": "2019-08-24T14:15:22Z",
    "updated": "2019-08-24T14:15:22Z"
  }
]
```

**SDK Code**

```python example-1
import requests

url = "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript example-1
const url = 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go example-1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby example-1
require 'uri'
require 'net/http'

url = URI("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java example-1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php example-1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp example-1
using RestSharp;

var client = new RestClient("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift example-1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/ipblock/ipBlockId/derived")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```